Devuan bug report logs - #72
slim Depends: libpng12-0 (>= 1.2.13-4) but it is not installable (on ascii)

Package: slim; Reported by: Ralph Ronnquist <ralph.ronnquist@realthing.com.au>;
Date: Sun, 7 May 2017 05:03:01 UTC;
Maintainer for slim is (unknown).

View this report as an mbox folder.


Report forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#72; Package slim. Full text available.



Acknowledgement sent to Ralph Ronnquist <ralph.ronnquist@realthing.com.au>:
New bug report received and forwarded. Copy sent to owner@bugs.devuan.org.

Your message specified a Severity: in the pseudo-header, but the severity value important was not recognised. The default severity normal is being used instead. The recognised values are: critical, grave, normal, minor, wishlist.

Full text available.



Message received at submit@bugs.devuan.org:

Received: (at submit) by bugs.devuan.org; 7 May 2017 05:00:01 +0000
Return-Path: <ralph.ronnquist@gmail.com>
Delivered-To: devuanbugs@dyne.org
Received: from mail.dyne.org [178.62.188.7]
	by fulcanelli with IMAP (fetchmail-6.3.26)
	for <debbugs@localhost> (single-drop); Sun, 07 May 2017 07:00:01 +0200 (CEST)
Received: from mail-pf0-f177.google.com (mail-pf0-f177.google.com [209.85.192.177])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by tupac2.dyne.org (Postfix) with ESMTPS id 9046318D372
	for <submit@bugs.devuan.org>; Sun,  7 May 2017 04:51:17 +0000 (UTC)
Authentication-Results: tupac2.dyne.org; dkim=pass
	reason="2048-bit key; unprotected key"
	header.d=gmail.com header.i=@gmail.com header.b=CH/fWeyI;
	dkim-adsp=none (unprotected policy); dkim-atps=neutral
Received: by mail-pf0-f177.google.com with SMTP id q66so18950727pfi.3
        for <submit@bugs.devuan.org>; Sat, 06 May 2017 21:51:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=20161025;
        h=sender:to:from:subject:message-id:date:user-agent:mime-version
         :content-transfer-encoding;
        bh=fPElif1/VP8iLImydixWJD2DQLOnak9N6UB6YgD+clw=;
        b=CH/fWeyI1lA1mV3ctFxtUTo8QjFXtBtPKN19Rf1uvHA9ZOpw+9/mXe07BRKTSg+YSI
         xC9at8S54M594f0nuQkAanVaKsTr8BSsc2xnWvmSO6EpZ2BesfZdygBBm8lXvEo3Txap
         EZ+wgc/WUd7g+Zkd2kWtZkYlATfgVz7iRK/IJv6Mh/Jn0uAwtZBjVS2+b0Jrf7jrYMYi
         /GaBiS6BM4ah2b2NkV1sBza9RxUay+hEgJXE0J2xzOdQi4ET2lPi7KLDxjsxTPJgaCf3
         Z6MYQY5W3wcncF1q+tRUYOINbFYI6jCc896PMw3kTDqAASkwj7fwJnja6kErTYQaBzGS
         +wSg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=1e100.net; s=20161025;
        h=x-gm-message-state:sender:to:from:subject:message-id:date
         :user-agent:mime-version:content-transfer-encoding;
        bh=fPElif1/VP8iLImydixWJD2DQLOnak9N6UB6YgD+clw=;
        b=CvyCEQCQLuHOHLGGFZcue4LydrjNT4W2lzs1g+Txp4TezIor/HC54MlLYkKQImJqbH
         HnM5U7K6x3mOWRp/kzAqWGNrNA9xxpov49kBlySzNr/PzWuKbIL8E4XNZxZwpXC1FDOa
         ZAZ9mPDYWTqUDaxpgNZ0b/5FWaBCXsaKXvGy6/SiOU3lVN0BYtzVh4gSX9Jk4VcSMAXQ
         jPyxee+P65U/0Zq13+zcfy/W4V9gWc21QmZEwdWCVOeVusIA4z3GdA3nFVqGt0HtnGBU
         NGoIgzWfuVcJKpt5K0IQR+qKgurhdSqUmzhMa7Dq/ZnuJuLjondzAVEh9O/qKIWb7Gys
         EClQ==
X-Gm-Message-State: AN3rC/5Dyl6dbzvB91eJUdTjpOpiT4EGz6whF6K7Whz8JMt/1V/SKb0S
	FsacjbDorVPZmjcoNPw=
X-Received: by 10.99.167.3 with SMTP id d3mr11767045pgf.70.1494132675345;
        Sat, 06 May 2017 21:51:15 -0700 (PDT)
Received: from [192.168.103.26] (60-242-139-200.static.tpgi.com.au. [60.242.139.200])
        by smtp.gmail.com with ESMTPSA id e5sm15770102pga.13.2017.05.06.21.51.13
        for <submit@bugs.devuan.org>
        (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
        Sat, 06 May 2017 21:51:14 -0700 (PDT)
Sender: Ralph Ronnquist <ralph.ronnquist@gmail.com>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
From: Ralph Ronnquist <ralph.ronnquist@realthing.com.au>
Subject: slim Depends: libpng12-0 (>= 1.2.13-4) but it is not installable (on
 ascii)
Message-ID: <9185926c-592a-55e4-b659-5d37ff3e5b86@realthing.com.au>
Date: Sun, 7 May 2017 14:51:11 +1000
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Icedove/45.6.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Status: No, score=-2.6 required=5.0 tests=DKIM_SIGNED,DKIM_VALID,
	FREEMAIL_FORGED_FROMDOMAIN,FREEMAIL_FROM,HEADER_FROM_DIFFERENT_DOMAINS,
	RCVD_IN_DNSWL_NONE,RCVD_IN_MSPIKE_H2,SPF_PASS autolearn=disabled version=3.4.0
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on tupac2

Package: slim
Version: 1.3.6-5+devuan1
Severity: important

Dear Maintainer,

the attempt to install slim redenrs:
slim : Depends: libpng12-0 (>= 1.2.13-4) but it is not installable

and the attempt to install libpng12-0 renders:
Package libpng12-0 is not available, but is referred to by another package.


-- System Information:
Distributor ID: Devuan
Description:    Devuan GNU/Linux 2.0 (ascii)
Release:        2.0
Codename:       ascii

Architecture: x86_64

Kernel: Linux 4.9.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)


-- 
Chief Scientist
Realthing Entertainment Pty Ltd





Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#72; Package slim. Full text available.



Acknowledgement sent to fsmithred <fsmithred@gmail.com>:
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org. Full text available.



Message received at 72@bugs.devuan.org:

Received: (at 72) by bugs.devuan.org; 12 Jun 2017 01:30:11 +0000
Return-Path: <fsmithred@gmail.com>
Delivered-To: devuanbugs@dyne.org
Received: from mail.dyne.org [178.62.188.7]
	by fulcanelli with IMAP (fetchmail-6.3.26)
	for <debbugs@localhost> (single-drop); Mon, 12 Jun 2017 03:30:11 +0200 (CEST)
Received: from mail-qt0-f170.google.com (mail-qt0-f170.google.com [209.85.216.170])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by tupac2.dyne.org (Postfix) with ESMTPS id 905A918EC43
	for <72@bugs.devuan.org>; Mon, 12 Jun 2017 01:25:30 +0000 (UTC)
Authentication-Results: tupac2.dyne.org; dkim=pass
	reason="2048-bit key; unprotected key"
	header.d=gmail.com header.i=@gmail.com header.b=ZgEH0Pnc;
	dkim-adsp=pass; dkim-atps=neutral
Received: by mail-qt0-f170.google.com with SMTP id u12so111063332qth.0
        for <72@bugs.devuan.org>; Sun, 11 Jun 2017 18:25:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=20161025;
        h=subject:to:references:from:message-id:date:user-agent:mime-version
         :in-reply-to:content-transfer-encoding;
        bh=WvcsGHdzmKiR7OO/Q93cqJlHtwQ4VVCjaXK9bE7H6/U=;
        b=ZgEH0PncyeAlzCEqOTvuAPRUfWUdO4aPtYesLOHPxjAN7VcTSVIg4uyUnmqkgkF5QM
         s2ktdV64v/4AHwlz7siAkhLMZoa/OtUcaOBoMCGDoZgu/YZFI1IGR+6Fi0CRF9DzsdGf
         W+Ox9DoWvlkZFlfl33/au1CK8IKPv0suDdbosw6B/cxe3FLz2wywpNLI5hUjQssb2f+3
         jylUzN4QrGFvF0dEMedgi0Hp2lwnW1cr/BYwzHXaMJ1pu9E76rlofdeCGaDD0gUg99DD
         EKkGckoCM7TkcA0E55RQy7ZwWCooH0O+hcE5f9MkAVnGtpc/LOq2JWkYt8vNYvFYA0Kq
         iy8w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=1e100.net; s=20161025;
        h=x-gm-message-state:subject:to:references:from:message-id:date
         :user-agent:mime-version:in-reply-to:content-transfer-encoding;
        bh=WvcsGHdzmKiR7OO/Q93cqJlHtwQ4VVCjaXK9bE7H6/U=;
        b=ssgNfNTKjj7Sg1BfNWnidbm7Y6JVf/yv9yOeGxsDLMy6zeRyYX19KqJciRRm/Tofps
         dvAQFZtj1DFIP7JyplwrkJYlDrj7c7yLtfGK2ZZ5Vc9EPGgr7RweUBAV/GzBiK/YfCPb
         bIiCzJ4Zlr+PqSXX4e5j6uTyijRCbokhzb/OmhjLcbBUPrPv/uCV61M2sYLYsSay4F5I
         LCZ/OaWIeltgQuiwTBn1RoLR8k3YMwBnaYUmf28gpHV6bSw4ONBhRaMMfZUwZLy51W93
         i0YK32bImJbDNtgbhhFReX+Dohwo781phUJ4JUJUp/vyTNxhrLdjK2xHKtzyQkcYSVD+
         mh2w==
X-Gm-Message-State: AKS2vOy7Xn0iGgjxnOBGE64uIf7rCn7AjhjrbnEjw31P0BGpxKVU8vL9
	Ek4gAbXNxE1gumHM
X-Received: by 10.55.38.69 with SMTP id y66mr13471688qkg.226.1497230720558;
        Sun, 11 Jun 2017 18:25:20 -0700 (PDT)
Received: from [192.168.1.41] (68-184-46-18.dhcp.oxfr.ma.charter.com. [68.184.46.18])
        by smtp.googlemail.com with ESMTPSA id 101sm5969923qkx.28.2017.06.11.18.25.19
        for <72@bugs.devuan.org>
        (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
        Sun, 11 Jun 2017 18:25:19 -0700 (PDT)
Subject: Re: [Devuan-bugs] bug#72: slim Depends: libpng12-0 (>= 1.2.13-4) but
 it is not installable (on ascii)
To: 72@bugs.devuan.org
References: <mailman.376.1494133386.2623.devuan-bugs@lists.dyne.org>
From: fsmithred <fsmithred@gmail.com>
X-Enigmail-Draft-Status: N1110
Message-ID: <32dfa8c1-7dbb-748c-5384-37717216336a@gmail.com>
Date: Sun, 11 Jun 2017 21:24:30 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Icedove/45.6.0
MIME-Version: 1.0
In-Reply-To: <mailman.376.1494133386.2623.devuan-bugs@lists.dyne.org>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Status: No, score=-0.1 required=5.0 tests=DKIM_SIGNED,DKIM_VALID,
	DKIM_VALID_AU,FREEMAIL_FROM,RCVD_IN_DNSWL_NONE,RCVD_IN_MSPIKE_H3,
	RCVD_IN_MSPIKE_WL,SPF_PASS autolearn=disabled version=3.4.0
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on tupac2

It looks like the devuan versions are all from 1.3.6-5 and want
libpng12-0, but stretch now has 1.3.6-5.1 which wants libpng16-16.

apt-cache policy slim:

  Version table:
     1.3.6-5.1 0
        500 http://debian.csail.mit.edu/debian/ stretch/main amd64 Packages
     1.3.6-5+devuan4 0
        500 http://us.mirror.devuan.org/merged/ jessie/main amd64 Packages
     1.3.6-5+devuan4~2.gbpb3ad3b 0
        150 http://auto.mirror.devuan.org/devuan/ jessie-proposed/main
amd64 Packages
     1.3.6-5+devuan3 0
         90 http://auto.mirror.devuan.org/merged/ ceres/main amd64 Packages
     1.3.6-5+devuan1 0
        100 http://us.mirror.devuan.org/merged/ ascii/main amd64 Packages






Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Tue, 27 Jun 2017 12:11:26 UTC